APR component derived from priority fees paid to validators.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/staking-apr-priority-fees \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/staking-apr-priority-fees?project=ethereum"
{ "ethereum": [ { "date": "2026-04-19", "value": 0.0010805409984856378 }, { "date": "2026-04-18", "value": 0.000992417883652447 }, { "date": "2026-04-17", "value": 0.0009452195502932352 }, { "date": "2026-04-16", "value": 0.000900457183520659 }, { "date": "2026-04-15", "value": 0.0008956688187957378 } ] }
Project slug (comma-separated for multiple).
ethereum
"ethereum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK